Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Downloaded applications

Reply
Highlighted
New Contributor
Posts: 2
Registered: ‎07-18-2012
My Device: BB Bold 9900
My Carrier: Swisscom
Accepted Solution

Installed East Asian language input but can't use them

Hi everybody,

 

I've encountered something strange. My objective was to install and use Simplified Chinese input for writing in Simplified Chinese. I followed the instructions given ony various websites. I downloaded via this site http://us.blackberry.com/support/apps-and-software/desktop-and-device-download-sites.html the file 9900jAllLang_PBr7.1.0_rel1149_PL5.1.0.276_A7.1.0.342.exe (file size: >260 MB) and managed to install it. Everything seemed fine.


Alas, upon successful installation, I still cannot select Simplified Chinese as input language. I suspect the reason is bcos the Simplified Chinese (and btw also Japanese and Korean, both of which are not selectable) input application is version 6.0, whereas all languages selectable as input language are version 7.1!

 

 

 

All European languages in the upper screenshot as well as Hindi and Vietnamese are selectable and I guess that's exactly bcos they're also version 7.1. Given that the package I downloaded is widely regarded as the newest, I wonder why Chinese, Korean, and Japanese are only version 6.0.

 

How can I resolve this issue? Is there a way to select input languages of a lower version? Or is there a way to update the input language version?

 

Many thanks

Markus

Hall of Famer II
Posts: 52,486
Registered: ‎11-28-2008
My Device: Z10/Z30/Q10 (10.3.2.840), Playbook (2.1.0.1526)
My Carrier: TMobile USA

Re: Installed East Asian language input but can't use them

Hi and Welcome to the Community!

 

To be clear...the screenshots you provided, the second one shows all of those 6.0 languages as "Installed", which means, as far as the Desktop Software/OS Package is concerned, they are installed to your BB. So, is what you are saying that, on your BB itself, even though they show in Desktop Software as installed, you cannot select to use them on your BB itself? That is indeed odd, if that is the case...and your suspicion may well be correct.

 

To correct that, what I'd advise is finding an even newer version of the OS package...I am running, for my BB model, 7.1.0.523, and it shows those all as 7.1 and not 6.0 (though I do not have them installed to my BB, but they are available).

 

So I would guess that your suspicion is correct, but that an even newer 7.1 OS package may hold the cure you need. You should seek out, via the official download portal, a newer 7.1 OS package for your model BB. In our Bold forum, there is a sticky thread that lists all of the carriers of the 9900:

You can use that as reference for then navigating the official download portal:

Xandrex tries to keep that sticky thread up to date, but has lately not been able to...hence, it is not presently useful for finding the exact OS levels that each 9900 supporting carrier is on...but at least it narrows down the list of carriers to seek out via the download portal, so it is useful for that at least.

 

Good luck!




Occam's Razor nearly always applies when troubleshooting technology issues!
If anyone has been helpful to you, please show your appreciation by clicking the button inside of their post. Please click here and read, along with the threads to which it links, for helpful information to guide you as you proceed. I always recommend that you treat your BlackBerry like any other computing device, including using a regular backup schedule...click here for an article with instructions.
Join our BBM Channels
BSCF General Channel
PIN: C0001B7B4   Display/Scan Bar Code
Knowledge Base Updates
PIN: C0005A9AA   Display/Scan Bar Code
New Contributor
Posts: 2
Registered: ‎07-18-2012
My Device: BB Bold 9900
My Carrier: Swisscom

Re: Installed East Asian language input but can't use them

Hi sdgardne,

 

Thank you so much for your advice! This was really the solution!!

 

Your understanding was absolutely right! CJK input were installed on my BB and even displayed in the list of installed applications but simply not selectable in the list of input languages. Now upon upgrading to the newest OS as per your suggestion, these languages appear in my Desktop Software as 7.1, too, and are thus finally selectable as input language 

 

As a side-remark, I never knew there was a newer OS version bcos I really believed the one I had had was the newest already. I didn't know there was a newer one that was essentially released only by a Thai carrier called AIS; I didn't find it in the releases from China Mobile, CSL Hong Kong, or other major Asian carriers.

 

Once again a million thanks!!!

Hall of Famer II
Posts: 52,486
Registered: ‎11-28-2008
My Device: Z10/Z30/Q10 (10.3.2.840), Playbook (2.1.0.1526)
My Carrier: TMobile USA

Re: Installed East Asian language input but can't use them

You are most welcome...enjoy!



Occam's Razor nearly always applies when troubleshooting technology issues!
If anyone has been helpful to you, please show your appreciation by clicking the button inside of their post. Please click here and read, along with the threads to which it links, for helpful information to guide you as you proceed. I always recommend that you treat your BlackBerry like any other computing device, including using a regular backup schedule...click here for an article with instructions.
Join our BBM Channels
BSCF General Channel
PIN: C0001B7B4   Display/Scan Bar Code
Knowledge Base Updates
PIN: C0005A9AA   Display/Scan Bar Code